Package org.apache.struts2.spring

# Class ClassReloadingBeanFactory

java.lang.Object
org.springframework.core.SimpleAliasRegistry
org.springframework.beans.factory.support.DefaultSingletonBeanRegistry
org.springframework.beans.factory.support.FactoryBeanRegistrySupport
org.springframework.beans.factory.support.AbstractBeanFactory
org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory
org.springframework.beans.factory.support.DefaultListableBeanFactory
org.apache.struts2.spring.ClassReloadingBeanFactory

All Implemented Interfaces:
  `Serializable`, `org.springframework.beans.factory.BeanFactory`, `org.springframework.beans.factory.config.AutowireCapableBeanFactory`, `org.springframework.beans.factory.config.ConfigurableBeanFactory`, `org.springframework.beans.factory.config.ConfigurableListableBeanFactory`, `org.springframework.beans.factory.config.SingletonBeanRegistry`, `org.springframework.beans.factory.HierarchicalBeanFactory`, `org.springframework.beans.factory.ListableBeanFactory`, `org.springframework.beans.factory.support.BeanDefinitionRegistry`, `org.springframework.core.AliasRegistry`

public class ClassReloadingBeanFactory extends org.springframework.beans.factory.support.DefaultListableBeanFactory
Same as DefaultListableBeanFactory, but it doesn't use the constructor and class cached in RootBeanDefinition

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.springframework.core.SimpleAliasRegistry

  `logger`

  ### Fields inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory

  `AUTOWIRE_AUTODETECT, AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_CONSTRUCTOR, AUTOWIRE_NO, ORIGINAL_INSTANCE_SUFFIX`

  ### Fields inherited from interface org.springframework.beans.factory.BeanFactory

  `FACTORY_BEAN_PREFIX`

  ### Fields inherited from interface org.springframework.beans.factory.config.ConfigurableBeanFactory

  `SCOPE_PROTOTYPE, SCOPE_SINGLETON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassReloadingBeanFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.beans.BeanWrapper`
  `createBeanInstance(String beanName, org.springframework.beans.factory.support.RootBeanDefinition mbd, Object[] args)`
  `protected Class`
  `resolveBeanClass(org.springframework.beans.factory.support.RootBeanDefinition mbd, String beanName, Class[] typesToMatch)`

  ### Methods inherited from class org.springframework.beans.factory.support.DefaultListableBeanFactory

  `allowAliasOverriding, checkForAliasCircle, clearMergedBeanDefinition, clearMetadataCache, containsBeanDefinition, copyConfigurationFrom, destroySingleton, destroySingletons, determineAutowireCandidate, determineHighestPriorityCandidate, determinePrimaryCandidate, doResolveDependency, findAllAnnotationsOnBean, findAnnotationOnBean, findAnnotationOnBean, findAutowireCandidates, freezeConfiguration, getAutowireCandidateResolver, getBean, getBean, getBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForAnnotation, getBeanNamesForType, getBeanNamesForType, getBeanNamesForType, getBeanNamesForType, getBeanNamesIterator, getBeanProvider, getBeanProvider, getBeanProvider, getBeanProvider, getBeansOfType, getBeansOfType, getBeansWithAnnotation, getDependencyComparator, getPriority, getSerializationId, isAllowBeanDefinitionOverriding, isAllowEagerClassLoading, isAutowireCandidate, isAutowireCandidate, isAutowireCandidate, isBeanEligibleForMetadataCaching, isConfigurationFrozen, isPrimary, matchesBeanName, obtainInstanceFromSupplier, preInstantiateSingletons, registerBeanDefinition, registerResolvableDependency, registerSingleton, removeBeanDefinition, resetBeanDefinition, resolveDependency, resolveNamedBean, setAllowBeanDefinitionOverriding, setAllowEagerClassLoading, setAutowireCandidateResolver, setDependencyComparator, setSerializationId, toString, writeReplace`

  ### Methods inherited from class org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory

  `applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPostProcessorsBeforeInstantiation, applyBeanPropertyValues, applyMergedBeanDefinitionPostProcessors, applyPropertyValues, autowire, autowireBean, autowireBeanProperties, autowireByName, autowireByType, autowireConstructor, checkDependencies, clearSingletonCache, configureBean, createBean, createBean, createBean, destroyBean, determineConstructorsFromBeanPostProcessors, determineTargetType, doCreateBean, filterPropertyDescriptorsForDependencyCheck, filterPropertyDescriptorsForDependencyCheck, getEarlyBeanReference, getInstantiationStrategy, getObjectForBeanInstance, getParameterNameDiscoverer, getTypeForFactoryBean, getTypeForFactoryMethod, ignoreDependencyInterface, ignoreDependencyType, initializeBean, initializeBean, instantiateBean, instantiateUsingFactoryMethod, invokeCustomInitMethod, invokeInitMethods, isAllowCircularReferences, isAllowRawInjectionDespiteWrapping, isExcludedFromDependencyCheck, populateBean, postProcessObjectFromFactoryBean, predictBeanType, removeSingleton, resolveBeanByName, resolveBeforeInstantiation, resolveDependency, setAllowCircularReferences, setAllowRawInjectionDespiteWrapping, setInstantiationStrategy, setParameterNameDiscoverer, unsatisfiedNonSimpleProperties`

  ### Methods inherited from class org.springframework.beans.factory.support.AbstractBeanFactory

  `addBeanPostProcessor, addBeanPostProcessors, addEmbeddedValueResolver, addPropertyEditorRegistrar, afterPrototypeCreation, beforePrototypeCreation, checkMergedBeanDefinition, cleanupAfterBeanCreationFailure, containsBean, containsLocalBean, copyRegisteredEditorsTo, destroyBean, destroyBean, destroyScopedBean, doGetBean, evaluateBeanDefinitionString, getAliases, getApplicationStartup, getBean, getBean, getBean, getBean, getBeanClassLoader, getBeanExpressionResolver, getBeanPostProcessorCount, getBeanPostProcessors, getConversionService, getCustomEditors, getCustomTypeConverter, getMergedBeanDefinition, getMergedBeanDefinition, getMergedBeanDefinition, getMergedLocalBeanDefinition, getParentBeanFactory, getPropertyEditorRegistrars, getRegisteredScope, getRegisteredScopeNames, getTempClassLoader, getType, getType, getTypeConverter, hasBeanCreationStarted, hasDestructionAwareBeanPostProcessors, hasEmbeddedValueResolver, hasInstantiationAwareBeanPostProcessors, initBeanWrapper, isActuallyInCreation, isBeanNameInUse, isCacheBeanMetadata, isFactoryBean, isFactoryBean, isPrototype, isPrototypeCurrentlyInCreation, isSingleton, isTypeMatch, isTypeMatch, isTypeMatch, markBeanAsCreated, originalBeanName, registerCustomEditor, registerCustomEditors, registerDisposableBeanIfNecessary, registerScope, removeSingletonIfCreatedForTypeCheckOnly, requiresDestruction, resolveEmbeddedValue, setApplicationStartup, setBeanClassLoader, setBeanExpressionResolver, setCacheBeanMetadata, setConversionService, setParentBeanFactory, setTempClassLoader, setTypeConverter, transformedBeanName`

  ### Methods inherited from class org.springframework.beans.factory.support.FactoryBeanRegistrySupport

  `getCachedObjectForFactoryBean, getFactoryBean, getObjectFromFactoryBean, getTypeForFactoryBean`

  ### Methods inherited from class org.springframework.beans.factory.support.DefaultSingletonBeanRegistry

  `addSingleton, addSingletonFactory, afterSingletonCreation, beforeSingletonCreation, containsSingleton, destroyBean, getDependenciesForBean, getDependentBeans, getSingleton, getSingleton, getSingleton, getSingletonCount, getSingletonMutex, getSingletonNames, hasDependentBean, isCurrentlyInCreation, isDependent, isSingletonCurrentlyInCreation, onSuppressedException, registerContainedBean, registerDependentBean, registerDisposableBean, setCurrentlyInCreation`

  ### Methods inherited from class org.springframework.core.SimpleAliasRegistry

  `canonicalName, hasAlias, isAlias, registerAlias, removeAlias, resolveAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.springframework.core.AliasRegistry

  `getAliases, isAlias, registerAlias, removeAlias`

  ### Methods inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory

  `applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPropertyValues, autowire, autowireBean, autowireBeanProperties, configureBean, createBean, createBean, destroyBean, initializeBean, resolveBeanByName, resolveDependency`

  ### Methods inherited from interface org.springframework.beans.factory.support.BeanDefinitionRegistry

  `isBeanNameInUse`

  ### Methods inherited from interface org.springframework.beans.factory.BeanFactory

  `containsBean, getAliases, getBean, getBean, getBean, getType, getType, isPrototype, isSingleton, isTypeMatch, isTypeMatch`

  ### Methods inherited from interface org.springframework.beans.factory.config.ConfigurableBeanFactory

  `addBeanPostProcessor, addEmbeddedValueResolver, addPropertyEditorRegistrar, copyRegisteredEditorsTo, destroyBean, destroyScopedBean, getApplicationStartup, getBeanClassLoader, getBeanExpressionResolver, getBeanPostProcessorCount, getConversionService, getDependenciesForBean, getDependentBeans, getMergedBeanDefinition, getRegisteredScope, getRegisteredScopeNames, getTempClassLoader, getTypeConverter, hasEmbeddedValueResolver, isCacheBeanMetadata, isCurrentlyInCreation, isFactoryBean, registerAlias, registerCustomEditor, registerDependentBean, registerScope, resolveAliases, resolveEmbeddedValue, setApplicationStartup, setBeanClassLoader, setBeanExpressionResolver, setCacheBeanMetadata, setConversionService, setCurrentlyInCreation, setParentBeanFactory, setTempClassLoader, setTypeConverter`

  ### Methods inherited from interface org.springframework.beans.factory.config.ConfigurableListableBeanFactory

  `ignoreDependencyInterface, ignoreDependencyType`

  ### Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory

  `containsLocalBean, getParentBeanFactory`

  ### Methods inherited from interface org.springframework.beans.factory.config.SingletonBeanRegistry

  `containsSingleton, getSingleton, getSingletonCount, getSingletonMutex, getSingletonNames`

- ## Constructor Details

  - ### ClassReloadingBeanFactory

    public ClassReloadingBeanFactory()

- ## Method Details

  - ### createBeanInstance

    protected org.springframework.beans.BeanWrapper createBeanInstance(String beanName, org.springframework.beans.factory.support.RootBeanDefinition mbd, Object[] args)
    Overrides:
      `createBeanInstance` in class `org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory`

  - ### resolveBeanClass

    protected Class resolveBeanClass(org.springframework.beans.factory.support.RootBeanDefinition mbd, String beanName, Class[] typesToMatch)
    Overrides:
      `resolveBeanClass` in class `org.springframework.beans.factory.support.AbstractBeanFactory`